Skip to main content

private/fiat/fiat-get-bank-accounts

POST 

/private/fiat/fiat-get-bank-accounts

Retrieves user's bank accounts with optional payment network filtering.

Request

Body

required
    id int64required

    Request id (echoed in response)

    method stringrequired

    Must be "private/fiat/fiat-get-bank-accounts"

    api_key stringrequired

    Your API key (only required for private REST)

    sig stringrequired

    HMAC-SHA256 signature in hex (only required for private REST)

    nonce int64required

    Current timestamp in milliseconds, e.g. "1771761038000".

    params objectrequired
    payment_networks string

    Comma-separated list of payment networks to filter by

Success.
Schema
    id int64

    Echoed request id

    method string

    Method invoked

    code int32

    0 = success; non-zero indicates error (reason code).

    result object
    Present when code === 0. bank_accounts_list per docs.
    bank_accounts_list object[]required
    List of user's bank accounts
  • Array [
  • ok string

    Status indicator (null in most cases)

    code string

    Response code (null in most cases)

    message string

    Response message (null in most cases)

    id stringrequired

    Unique bank account ID (use this for withdrawals)

    account_id string

    Account ID (cannot be used for withdrawal)

    user_uuid string

    User UUID

    status stringrequired

    Possible values: [pending, submitted, pending_authorize, authenticated, transaction_enabled, pending_proof, proof_submitted, approved, rejected, escalated, completed, deleted, expired]

    Bank account status. When expired, the bank account token has expired and the user must relink via the Plaid relink flow before withdrawals can resume.

    bank_name stringrequired

    Bank name

    bank_city string

    Bank city

    bank_country string

    Bank country code

    bank_identifier_type string

    Type of bank identifier (e.g., cubix_account_number_last_4_digits, bic_swift)

    bank_identifier_value string

    Masked bank identifier value

    bank_account_holder_name string

    Bank account holder name

    account_identifier_type string

    Type of account identifier (e.g., cubix_account_id, iban)

    account_identifier_value string

    Masked account identifier value

    account_holder_name stringrequired

    Account holder name

    account_type string

    Account type (null in most cases)

    currency stringrequired

    Currency code (e.g., USD)

    verified_by string

    Verification method (e.g., Cubix, Deposit)

    reason string

    Reason or additional information

    supported_payment_networks string[]required

    Array of supported payment network identifiers

    withdrawal_payment_networks string[]

    Array of withdrawal payment networks (null if not applicable)

    payment_network_identifier_value string

    Payment network identifier value

    bank_details object
    Bank details object
    institutional_street_address string

    Institutional street address

    bank_street_address string

    Bank street address

    account_holder_address string

    Account holder address

    bank_account_address object

    Bank account address object

    intermediate_bank object

    Intermediate bank information

    intermediate_bank_options array

    Array of intermediate bank options

    created_at int64required

    Account creation timestamp (ms).

    updated_at int64required

    Account last update timestamp (ms).

  • ]
  • message string

    Present when code !== 0.

    original string

    Present when code !== 0.